Package picard.fingerprint

# Class Fingerprint

java.lang.Object
java.util.AbstractMap<HaplotypeBlock,HaplotypeProbabilities>
java.util.TreeMap<HaplotypeBlock,HaplotypeProbabilities>
picard.fingerprint.Fingerprint

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<HaplotypeBlock,HaplotypeProbabilities>`, `NavigableMap<HaplotypeBlock,HaplotypeProbabilities>`, `SequencedMap<HaplotypeBlock,HaplotypeProbabilities>`, `SortedMap<HaplotypeBlock,HaplotypeProbabilities>`

public class Fingerprint extends TreeMap<HaplotypeBlock,HaplotypeProbabilities>
class to represent a genetic fingerprint as a set of HaplotypeProbabilities objects that give the relative probabilities of each of the possible haplotypes at a locus.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`Fingerprint(String sample, Path source, String info)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(HaplotypeProbabilities h)`
`static Function<FingerprintIdDetails,String>`
`getFingerprintIdDetailsStringFunction(CrosscheckMetric.DataType CROSSCHECK_BY)`
`String`
`getInfo()`
`String`
`getPrintableId()`
`String`
`getSample()`
`Path`
`getSource()`
`Fingerprint`
`merge(Fingerprint other)`
Merges the likelihoods from the supplied Fingerprint into the likelihoods for this fingerprint.
`static Map<FingerprintIdDetails,Fingerprint>`
`mergeFingerprintsBy(Map<FingerprintIdDetails,Fingerprint> fingerprints, Function<FingerprintIdDetails,String> by)`

### Methods inherited from class java.util.TreeMap

`ceilingEntry, ceilingKey, clear, clone, comparator, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, forEach, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, merge, navigableKeySet, pollFirstEntry, pollLastEntry, put, putAll, putFirst, putIfAbsent, putLast, remove, replace, replace, replaceAll, size, subMap, subMap, tailMap, tailMap, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, isEmpty, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, getOrDefault, hashCode, isEmpty, remove`

### Methods inherited from interface java.util.NavigableMap

`reversed`

### Methods inherited from interface java.util.SequencedMap

`sequencedEntrySet, sequencedKeySet, sequencedValues`

## Constructor Details

### Fingerprint

public Fingerprint(String sample, Path source, String info)

## Method Details

### getSample

public String getSample()

### getSource

public Path getSource()

### getInfo

public String getInfo()

### getPrintableId

public String getPrintableId()

### add

public void add(HaplotypeProbabilities h)

### merge

public Fingerprint merge(Fingerprint other)
Merges the likelihoods from the supplied Fingerprint into the likelihoods for this fingerprint.

### getFingerprintIdDetailsStringFunction

public static Function<FingerprintIdDetails,String> getFingerprintIdDetailsStringFunction(CrosscheckMetric.DataType CROSSCHECK_BY)

### mergeFingerprintsBy

public static Map<FingerprintIdDetails,Fingerprint> mergeFingerprintsBy(Map<FingerprintIdDetails,Fingerprint> fingerprints, Function<FingerprintIdDetails,String> by)